<%@ Page Language="C#" AutoEventWireup="true" debug="true" Inherits="WinLibClass.Form.User.inimember"  CodePage="65001" %>

<%
if (uInfo == null || uInfo.ID <= 0)
{
%>


      <div class="t-login-q" style="display:none1;">
      
      <a  onclick="CheckIsLoginForLogin();" >登录</a> | <a href="/index.aspx?s=/User/UserRegister" target="_blank">注册</a> | <a href1="/index.aspx?s=/User/UserGetPass" href="/user/GetPass.aspx" target="_blank">找回密码</a> | <a href="/Article/art.aspx?SubClassID=11" target="_blank">帮助中心</a>
      
      </div>

	  


<script type="text/javascript" language=javascript>
//client_clear();
jQuery(function(){
var url = location.href.toLowerCase();
	if(url.indexOf("/userinfo")>-1)
	{
		if(url.indexOf("/usergetpass")>-1)
		{}
		else{
			location.href=("/index.aspx");
		}
	}	

});
</script>
 
 
<%
}
else
{ 
%>



      <div class="t-login-h" style="display:none1;overflow:hidden1;">
		<div>
			<img src="/images/tb-4.gif" align="absmiddle" /> <%=uInfo.UserNickName %> 您好！
		</div>
		<div style="background-image:url(/images/index-4.gif);width:65px;padding:0px;cursor:pointer;" id="Top_UserInfo_Info"  >账户信息
		</div>
		
		<div><a href="javascript:void(0);" id="btnDotEveryDay" style="padding:0px;height:24px; line-height:24px;width:40px;" >打卡<a> |
		</div>
		
		<div><a  title="进入用户中心" style="padding:0px;width:60px;" href="/index.aspx?s=/UserInfo/" >用户中心</a> |
		</div>
		
		<div><a style="" title="安全退出"  style="padding:0px;width:40px;" href="javascript:Fast_Logout();" >退出</a>
		</div>


	  
      </div>


	  
	  <div class="zhxx" style="display:none;left:109px;top:35px;z-index:10;" id="Top_UserInfo_Show">
        <ul>
          <li>付费酷币：<%=uInfo.Point1-uInfo.UsedPoint1 + uInfo.Point2-uInfo.UsedPoint2 %>个&nbsp;&nbsp;<a href="#" target="_parent"><img src="/images2011/tb-6.gif" align="absmiddle" /></a></li>
          <li>免费酷币：<%=uInfo.Point3-uInfo.UsedPoint3 %>个</li>
          <li>我的积分：<%=uInfo.UserPoints-uInfo.UsedUserPoints %></li>
       
        </ul>
      </div>


<script type="text/javascript">


//每天打卡
jQuery(function(){
	jQuery("#btnDotEveryDay").click(function(){dk_submit();});

});

function dk_submit()
{
		
		{
		var _Type = "POST";
		var _Url = "/index.aspx?s=/UserInfo/ajaxDoPuncher";
		_Url = "/UserInfo/UserInfo_Update.aspx?IsAdd=10&t="+new Date().getTime();
		var _data="";
		var _success = function(msg){
			if(msg==0){	AlertErr("不好意思,打卡未能成功,可能是打卡的人较多,系统正忙,请您稍候重试.");}
			else if(msg==1){dk_dlgSuccess(2);}
			else if(msg==-1){	AlertErr("对不起,您今天已打过卡了.");}
			else if(msg==-10){dk_dlgGetSmsCodeUI();	
		
			}
			else if(msg==10){dk_dlgSuccess(5);
				
			}
			else {AlertErr("不好意思,您刚才的打卡未能成功,原因暂时还不知道,麻烦您稍候再试下.\r\n如果还不能打卡,请联系我们的客服,我们将尽快解决该问题.");}
		
		};
		var _error = function(){alert("唉,网络连接出现异常了,请联系我们的客服,我们将尽快解决该问题.")}
		var _dataType = null;
		AjaxSubmit(_Type,_Url,_data,_success,_error,_dataType);
		}

}


function dk_dlgGetSmsCodeUI()
{
	
	var _url="/User/dk1.html?t="+new Date().getTime();
	var _data = {"id":0};	
	var config={
		id:"iframdlgLogin"
		,title:false
		,padding:0
		,opacity:0.5
		,lock:true
		,border:0
		
	};
	Common.IframDialog(_url,config);
}
function dk_dlgSuccess(_time)
{
	if(!_time) _time=1;
	var _url="/User/dk3.html";

	var _data = {"id":0};	
	var config={
		id:"iframdlgLogin"
		,title:false
		,padding:0
		,opacity:0.5
		,lock:true
		,border:0
		,time:_time
		,close:function(){location.reload() ;}
	
	};
	Common.IframDialog(_url,config);
}

</script> 
 
<%
}
%>

